## nvidia-graphics-drivers 304.48

=== debian/changelog ===
nvidia-graphics-drivers (304.48-1+zlt1) experimental; urgency=low

  * Non-maintainer upload.
  * nvidia-{kernel-dkms,source}:
    - architecture all, update lintian overrides

 -- Roman Vasiyarov <rvasiyarov@gmail.com>  Sun, 23 Sep 2012 14:40:29 +0400

nvidia-graphics-drivers (304.48-1) unstable; urgency=low

  * New upstream long lived branch release 304.48 (2012-09-11).
    - Fixed RandR per-CRTC gamma persistence across modeswitches and
      VT-switches.
    - Fixed a bug that caused the X server to sometimes hang in response to
      input events.  (Closes: #684941)
    - Fixed a reduction in rendering performance for core X11 rendering on
      certain GPUs that occurred in the 290.* series of releases.
    - Fixed a bug that prevented PowerMizer from working correctly on
      some boards with GDDR5 memory, such as some GeForce GT 240 SKUs.
    - Added support for the following GPUs: GeForce GTX 660, GeForce GTX 650.
    - Fixed a bug that caused OpenGL applications to not animate properly
      when a rotation or a transformation was applied on some older X
      server versions.
    - Enabled FXAA with Unified Back Buffers.
  * Update nv-readme.ids.
  * Update symbols control files.
  * get-orig-source: Skip downloading if cached files are in ../.cache/
  * Switch .deb compression to xz, saves 13 MB (24 %) on amd64.

 -- Andreas Beckmann <debian@abeckmann.de>  Wed, 12 Sep 2012 12:23:09 +0200

nvidia-graphics-drivers (304.43-1) unstable; urgency=low

  * New upstream long lived branch release 304.43 (2012-08-27).
    - Fixed a bug that caused pre-release versions of X.Org xserver 1.13 to
      crash when certain GLX operations were performed, such as when starting
      Firefox.
    - Fixed a bug that caused VDPAU to hang when expanding the YouTube
      Flash Player.
    - Fixed a bug that prevented the display palette from being updated
      immediately after an application called XStoreColors.
    - Added support for the following GPUs: GeForce GTX 660 Ti,
      Quadro K5000, Quadro K5000M, Quadro K4000M, Quadro K3000M, NVS 510.
    * Closes: #684123.
  * Update nv-readme.ids.
  * conftest.h:
    - Implement check for linux/screen_info.h (302.17).
    - Implement check for linux/kconfig.h (304.30).
    - Implement new conftest.sh function acpi_os_wait_events_complete
      (304.43).
  * 3.6_kernel.patch: Remove, fixed upstream.
  * bug-control: Report installed versions of libgl1-nvidia-alternatives-ia32,
    libgl1-nvidia{,-legacy-173xx}-glx-ia32, and ia32-libs.
  * libgl1-nvidia-glx: The 302+ drivers add many features not supported by
    older releases of nvidia-settings, therefore add
    Breaks: nvidia-settings (<< 304), nvidia-settings-legacy-173
  * {libgl1-nvidia-glx,libcuda1,nvidia-vdpau-driver,nvidia-opencl-icd}-ia32:
    Add NEWS file describing the steps needed to install the multiarch :i386
    nvidia packages on amd64.

 -- Andreas Beckmann <debian@abeckmann.de>  Sun, 09 Sep 2012 04:11:49 +0200

nvidia-graphics-drivers (304.37-1) unstable; urgency=low

  * New upstream long lived branch release 304.37 (2012-08-13).
    - Removed the ability to enable SLI on GPUs with ECC enabled.
    - Fixed several bugs that prevented some RandR transform geometries from
      being applied.
    - Fixed a bug that caused frequent hangs or crashes on some systems.
      (Closes: #686092, #667684)
    - Fixed a bug that would cause corruption and performance issues in certain
      OpenGL applications such as Amnesia: The Dark Descent on GeForce 6 and 7
      GPUs.
  * New upstream release 295 series.
    * CVE-2012-4225  (Closes: 684781)
    - Implemented hotfix for a privilege escalation vulnerability reported on
      August 1, 2012.  For more details, see:
      http://nvidia.custhelp.com/app/answers/detail/a_id/3140
  * nvidia-kernel-source: Add Built-Using attribute to the generated module
    packages to record the exact versions of linux and nvidia-graphics-drivers
    that were used during the build.
  * libgl1-nvidia-glx:i386: Add Breaks: ia32-libs (<< 20120701) because that
    is shipping /usr/lib32/libGL.so.1 which gets no longer diverted away.
  * 3.6_kernel.patch: New patch to fix compilation with Linux 3.6, taken from
    rpmfusion.  (Closes: #684486)
  * nvidia-kernel-dkms: Set Multi-Arch: foreign (instead of allowed).
  * Add nvidia-kernel-dkms (= ${binary:Version}) as preferred alternative to
    (virtual) nvidia-kernel-${nvidia:Version}.  (Closes: #684782)
  * Upload to unstable.

 -- Andreas Beckmann <debian@abeckmann.de>  Tue, 14 Aug 2012 09:36:31 +0200

nvidia-graphics-drivers (304.32-1) experimental; urgency=low

  * New upstream beta 304.32 (2012-08-03).
    - Fixed a bug that caused applications that use DirectColor visuals, such as
      Enemy Territory: Quake Wars and Braid, to appear in shades of blue instead
      of the correct colors.  (Closes: #683758)
    - Modified handling of RRSetScreenSize requests to ignore requests that
      do not actually resize the screen.  This reduces screen flicker in certain
      cases when using GNOME.
  * debian/rules: get-orig-source: Make --pasv overridable.
  * Add xorg-video-abi-13 as alternative dependency.
  * Update symbols control files.

 -- Andreas Beckmann <debian@abeckmann.de>  Sat, 04 Aug 2012 14:41:00 +0200

nvidia-graphics-drivers (304.30-2) experimental; urgency=low

  * Disable patch-3.0-rt-nvidia.patch, no longer needed.
  * Add legacy qualification to nvidia-settings suggestion.
  * nvidia-opencl-icd: Ship new library libnvidia-opencl.so.1 and tighten
    dependency on nvidia-opencl-common and libnvidia-compiler.
    (Closes: #683678)

 -- Andreas Beckmann <debian@abeckmann.de>  Fri, 03 Aug 2012 13:41:12 +0200

nvidia-graphics-drivers (304.30-1) experimental; urgency=low

  * New upstream beta 304.30 (2012-07-30).
    - Added support for xserver ABI 13 (xorg-server 1.13).
    - Added support for RandR per-CRTC gamma manipulation through the

