=== debian/control ===
Source: nvidia-graphics-drivers
Section: non-free/libs
Priority: optional
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders:
 Russ Allbery <rra@debian.org>,
 Andreas Beckmann <debian@abeckmann.de>,
DM-Upload-Allowed: yes
Vcs-Svn: svn://svn.debian.org/svn/pkg-nvidia/packages/nvidia-graphics-drivers/trunk
Vcs-Browser: http://svn.debian.org/wsvn/pkg-nvidia/packages/nvidia-graphics-drivers/
Build-Depends:
 debhelper (>= 9),
 bzip2,
 dkms (>= 2.1.1.1),
 libxext6,
 libxvmc1,
 quilt,
Standards-Version: 3.9.3
Homepage: http://www.nvidia.com
XS-Autobuild: yes

Package: nvidia-glx
Section: non-free/x11
Architecture: i386 amd64
Pre-Depends:
 dpkg (>= 1.15.7.2),
 nvidia-installer-cleanup,
Depends:
 libgl1-nvidia${nvidia:Legacy}-glx (= ${binary:Version}),
 xserver-xorg-video-nvidia${nvidia:Legacy} (= ${binary:Version}),
 nvidia-vdpau-driver (= ${binary:Version}),
 nvidia-alternative${nvidia:Legacy} (= ${binary:Version}),
 nvidia-kernel${nvidia:Legacy}-dkms (= ${binary:Version})
 | nvidia-kernel-${nvidia:Version}${nvidia:Perfkit},
 nvidia-support,
 ${shlibs:Depends}, ${misc:Depends}
Recommends:
 libgl1-nvidia${nvidia:Legacy}-glx-i386 [amd64],
Suggests:
 nvidia-settings${nvidia:Legacy},
 nvidia-kernel${nvidia:Legacy}-dkms (>= ${nvidia:Version})
 | nvidia-kernel${nvidia:Legacy}-source (>= ${nvidia:Version})
Provides:
 nvidia-glx-any,
Description: NVIDIA metapackage${nvidia:LegacyDesc}
 .
 This metapackage depends on the NVIDIA binary driver and libraries
 that provide optimized hardware acceleration of
 OpenGL applications via a direct-rendering X Server.
 AGP, PCIe, SLI, TV-out and flat panel displays are also supported.
 .
 Please see the nvidia-kernel${nvidia:Legacy}-dkms or
 nvidia-kernel${nvidia:Legacy}-source packages
 for building the kernel module required by this package.
 This will provide nvidia-kernel-${nvidia:Version}${nvidia:Perfkit}.
 .
 ${nvidia:Models}
 .
 See /usr/share/doc/nvidia-glx${nvidia:Legacy}/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.

Package: xserver-xorg-video-nvidia
Section: non-free/x11
Architecture: i386 amd64
Pre-Depends:
 nvidia-installer-cleanup,
Depends:
 libgl1-nvidia${nvidia:Legacy}-glx (= ${binary:Version}),
 nvidia-alternative${nvidia:Legacy} (= ${binary:Version}),
 nvidia-support (>= 20120630),
 ${nvidia:xorgDepends},
 ${shlibs:Depends}, ${misc:Depends}
Recommends:
 nvidia-vdpau-driver (>= ${nvidia:Version}),
 nvidia-kernel${nvidia:Legacy}-dkms (= ${binary:Version})
 | nvidia-kernel-${nvidia:Version}${nvidia:Perfkit},
Suggests:
 nvidia-settings${nvidia:Legacy},
 nvidia-kernel${nvidia:Legacy}-dkms (>= ${nvidia:Version})
 | nvidia-kernel${nvidia:Legacy}-source (>= ${nvidia:Version})
Provides:
 xserver-xorg-video-nvidia-any,
 ${nvidia:xorgProvides},
Breaks:
 nvidia-glx (<< 275.09.07-2),
 nvidia-glx-legacy (<< 71.86.14-3),
 nvidia-glx-legacy-71xx (<< 71.86.14-3),
 nvidia-glx-legacy-96xx (<< 96.43.19-2),
 nvidia-glx-legacy-173xx (<< 173.14.30-2),
 fglrx-driver (<< 1:11-6-~),
Replaces:
 nvidia-glx${nvidia:Legacy} (<< 275.09.07-2),
Description: NVIDIA binary Xorg driver${nvidia:LegacyDesc}
 .
 These binary drivers provide optimized hardware acceleration of
 OpenGL applications via a direct-rendering X Server.
 AGP, PCIe, SLI, TV-out and flat panel displays are also supported.
 .
 Please see the nvidia-kernel${nvidia:Legacy}-dkms or
 nvidia-kernel${nvidia:Legacy}-source packages
 for building the kernel module required by this package.
 This will provide nvidia-kernel-${nvidia:Version}${nvidia:Perfkit}.
 .
 ${nvidia:Models}
 .
 See /usr/share/doc/nvidia-glx${nvidia:Legacy}/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.

Package: nvidia-glx-ia32
Section: non-free/oldlibs
Priority: extra
Architecture: amd64
Depends:
 libgl1-nvidia${nvidia:Legacy}-glx-ia32,
 ${misc:Depends}
Description: NVIDIA 32-bit libraries${nvidia:LegacyDesc} (transitional package)
 This is a dummy package to aid switching to
 libgl1-nvidia${nvidia:Legacy}-glx-ia32.

Package: libgl1-nvidia-glx
Architecture: i386 amd64
Multi-Arch: same
Pre-Depends:
 nvidia-installer-cleanup,
 ${misc:Pre-Depends}
Depends:
 nvidia-alternative${nvidia:Legacy},
 nvidia-support,
 ${shlibs:Depends}, ${misc:Depends}
Recommends:
 nvidia-kernel${nvidia:Legacy}-dkms (= ${binary:Version})
 | nvidia-kernel-${nvidia:Version}${nvidia:Perfkit},
Suggests:
 nvidia-kernel${nvidia:Legacy}-dkms (>= ${nvidia:Version})
 | nvidia-kernel${nvidia:Legacy}-source (>= ${nvidia:Version})
Provides:
 libgl1-nvidia${nvidia:Legacy}-glx-i386 [i386],
 libgl1-nvidia-glx-any,
Conflicts:
 libgl1-nvidia${nvidia:Legacy}-dev,
 nvidia-glx${nvidia:Legacy}-dev,
 libgl1-nvidia-glx-ia32 [i386],
Breaks:
 libgl1-nvidia${nvidia:Legacy}-glx-ia32 (<< ${nvidia:Version}) [amd64],
 nvidia-glx (<< 275.09.07-3),
 nvidia-glx-legacy (<< 71.86.14-3),
 nvidia-glx-legacy-71xx (<< 71.86.14-3),
 nvidia-glx-legacy-96xx (<< 96.43.19-2),
 nvidia-glx-legacy-173xx (<< 173.14.30-2),
# libgl1-nvidia-glx (<< 275.09.07-3),
 libgl1-nvidia-legacy-71xx-glx (<< 71.86.14-3),
 libgl1-nvidia-legacy-96xx-glx (<< 96.43.19-2),
 libgl1-nvidia-legacy-173xx-glx (<< 173.14.30-2),
 fglrx-glx (<< 1:11-6-~),
 ia32-libs (<< 20120701) [i386],
 nvidia-settings (<< 304),
 nvidia-settings-legacy-173xx,
Replaces:
 nvidia-glx${nvidia:Legacy} (<< 195.36.31),
 libgl1-nvidia${nvidia:Legacy}-dev,
 nvidia-glx${nvidia:Legacy}-dev,
Description: NVIDIA binary OpenGL libraries${nvidia:LegacyDesc}
 .
 These binary libraries provide optimized hardware acceleration of
 OpenGL applications via a direct-rendering X Server.
 .
 See the description of the nvidia-glx${nvidia:Legacy} package
 or /usr/share/doc/libgl1-nvidia${nvidia:Legacy}-glx/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.

Package: libgl1-nvidia-glx-ia32
Section: non-free/oldlibs
Priority: extra
Architecture: amd64
Pre-Depends:
 libc6-i386 (>= 2.9-18),
 nvidia-installer-cleanup,
Depends:
 ${shlibs:Depends}, ${misc:Depends}
Recommends:
 libgl1-nvidia${nvidia:Legacy}-glx-i386,
Conflicts:
 libgl1-nvidia-glx-ia32,
 libgl1-nvidia-glx-ia32-any,
 fglrx-glx-ia32,
 nvidia-glx-ia32 (<< 195.36.31),
 nvidia-glx-legacy-ia32,
 nvidia-glx-legacy-71xx-ia32,
 nvidia-glx-legacy-96xx-ia32,
 nvidia-glx-legacy-173xx-ia32,
Breaks:
 libgl1-nvidia${nvidia:Legacy}-glx (<< ${nvidia:Version}),
Replaces:
 nvidia-glx${nvidia:Legacy}-ia32 (<< 195.36.31),
Description: please switch to multiarch libgl1-nvidia${nvidia:Legacy}-glx:i386
 .
 This is an empty transitional package to aid switching to multiarch.
 .
 Run the following commands to install the multiarch library:
 * dpkg --add-architecture i386 ; apt-get update
 * apt-get install libgl1-nvidia${nvidia:Legacy}-glx:i386

Package: nvidia-alternative
Architecture: i386 amd64
Multi-Arch: foreign
Depends:
 glx-alternative-nvidia (>= 0.2),
 libgl1-nvidia-alternatives (>= 275.09.07-4),
 libglx-nvidia-alternatives (>= 275.09.07-4),
 ${misc:Depends}
Breaks:
 nvidia-glx${nvidia:Legacy} (<< 275.09.07-2),
 libgl1-nvidia${nvidia:Legacy}-glx (<< 275.09.07-2),
Description: allows the selection of NVIDIA as GLX provider
 .
 In setups with several NVIDIA driver versions installed (e.g. current and
 legacy) this metapackage registers an alternative to allow easy switching
 between the different versions.
 .
 Use 'update-alternatives --config nvidia' to select a version.
 .
 This package does not depend on the corresponding NVIDIA libraries.
 In order to install the NVIDIA driver and libraries, install the
 nvidia-glx${nvidia:Legacy} package instead.

Package: nvidia-kernel-dkms
Section: non-free/kernel
Architecture: all
Multi-Arch: foreign
Pre-Depends:
 nvidia-installer-cleanup,
Depends:
 dkms (>= 2.1),
 nvidia-kernel-common (>= 20110213),
 ${misc:Depends}
Recommends:
 nvidia-glx${nvidia:Legacy} (>= ${nvidia:Version}),
Provides:
 nvidia-kernel-dkms,
 nvidia-kernel-${nvidia:Version}${nvidia:Perfkit},
Conflicts:
 nvidia-kernel-dkms,
Breaks:
 make (= 3.82-1),
Description: NVIDIA binary kernel module DKMS source${nvidia:LegacyDesc}
 .
 This package builds the NVIDIA Xorg binary kernel module needed by
 nvidia-glx${nvidia:Legacy}, using DKMS.
 Provided that you have the kernel header packages installed, the kernel
 module will be built for your running kernel and automatically rebuilt for
 any new kernel headers that are installed.
 .
 The NVIDIA binary drivers provide optimized hardware acceleration of
 OpenGL applications via a direct-rendering X Server for graphics cards
 using NVIDIA chip sets.  AGP, PCIe, SLI, TV-out and flat panel displays
 are also supported.
 .
 ${nvidia:Models}
 .
 See /usr/share/doc/nvidia-kernel${nvidia:Legacy}-dkms/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.

Package: nvidia-kernel-source
Section: non-free/kernel
Architecture: all
Multi-Arch: foreign
Depends:
 debhelper (>= 8),
 make,
 quilt (>= 0.46-7~),
 ${misc:Depends}
Recommends:
 module-assistant | kernel-package,
 nvidia-kernel-common,
Suggests:
 nvidia-glx${nvidia:Legacy} (>= ${nvidia:Version}),
Breaks:
 make (= 3.82-1),
Description: NVIDIA binary kernel module source${nvidia:LegacyDesc}
 .
 This package provides the source for the NVIDIA Xorg binary kernel module
 needed by nvidia-glx${nvidia:Legacy} in a form suitable
 for use by module-assistant or kernel-package.
 .
 The NVIDIA binary drivers provide optimized hardware acceleration of
 OpenGL applications via a direct-rendering X Server for graphics cards
 using NVIDIA chip sets.  AGP, PCIe, SLI, TV-out and flat panel displays
 are also supported.
 .
 PLEASE read /usr/share/doc/nvidia-kernel${nvidia:Legacy}-source/README.Debian.gz
 for building information.  If you want the kernel module to be automatically
 installed via DKMS, install nvidia-kernel${nvidia:Legacy}-dkms instead.
 .
 ${nvidia:Models}
 .
 See /usr/share/doc/nvidia-kernel${nvidia:Legacy}-source/README.txt.gz
 for a complete list of supported GPUs and PCI IDs.

Package: nvidia-vdpau-driver
Architecture: i386 amd64
Multi-Arch: same
Pre-Depends:
 nvidia-installer-cleanup,
 ${misc:Pre-Depends}
Depends:
 libvdpau1,
 ${shlibs:Depends}, ${misc:Depends}
Recommends:
 nvidia-kernel${nvidia:Legacy}-dkms (= ${binary:Version})
 | nvidia-kernel-${nvidia:Version}${nvidia:Perfkit},
Suggests:
 nvidia-kernel${nvidia:Legacy}-dkms (>= ${nvidia:Version})
 | nvidia-kernel${nvidia:Legacy}-source (>= ${nvidia:Version})
Enhances:
 libvdpau1,
Provides:
 nvidia-vdpau-driver-i386 [i386],
 vdpau-driver,
Conflicts:
 nvidia-libvdpau,
 nvidia-libvdpau-dev,
 nvidia-libvdpau1,
 nvidia-libvdpau1-driver,
 nvidia-vdpau-driver-ia32 [i386],
Breaks:
 libvdpau1 (<< 0.4.1-3),
 nvidia-glx (<< 180.51),
Replaces:
 nvidia-glx (<< 180.51),
 nvidia-libvdpau,
 nvidia-libvdpau-dev,
 nvidia-libvdpau1,
 nvidia-libvdpau1-driver,
Description: NVIDIA vdpau driver
 .
 These libraries provide the Video Decode and Presentation API for Unix.
 They provide accelerated video playback (incl. H.264) for the supported
 graphics cards.
 .
 This package contains the NVIDIA VDPAU driver.
 .
 See /usr/share/doc/nvidia-vdpau-driver/README.txt.gz
 for more information.
 .
 Please see the nvidia-kernel${nvidia:Legacy}-dkms or
 nvidia-kernel${nvidia:Legacy}-source packages
 for building the kernel module required by this package.
 This will provide nvidia-kernel-${nvidia:Version}${nvidia:Perfkit}.

Package: nvidia-vdpau-driver-ia32
Section: non-free/oldlibs
Priority: extra
Architecture: amd64
Pre-Depends:
 libc6-i386 (>= 2.9-18),
 nvidia-installer-cleanup,
Depends:
 ${shlibs:Depends}, ${misc:Depends}
Recommends:
 nvidia-vdpau-driver-i386,
Conflicts:
 nvidia-libvdpau,
 nvidia-libvdpau1,
 nvidia-libvdpau1-ia32,
 nvidia-libvdpau1-driver-ia32,
Breaks:
 nvidia-glx (<< 180.51),
Replaces:
 nvidia-glx (<< 180.51),
 nvidia-libvdpau,
 nvidia-libvdpau1,
 nvidia-libvdpau1-ia32,
 nvidia-libvdpau1-driver-ia32,
Description: please switch to multiarch nvidia-vdpau-driver:i386
 This is an empty transitional package to aid switching to multiarch.
 .
