## nvidia-graphics-drivers 304.131

=== debian/changelog ===
nvidia-graphics-drivers (304.131-1) wheezy; urgency=medium

  * New upstream legacy 304xx branch release 304.131 (2015-11-16).
    * Fixed CVE-2015-7869: Unsanitized User Mode Input.  (Closes: #805917)
    - Fixed a bug that could cause texture corruption in some OpenGL
      applications when video memory is exhausted by a combination of
      simultaneously running graphical and compute workloads.
    - Added support for X.Org xserver ABI 20 (xorg-server 1.18).
    * Improved compatibility with recent Linux kernels.
  * Add xorg-video-abi-20 as alternative dependency.
  * conftest.h:
    - Implement new conftest.sh functions hlist_for_each_entry,
      of_parse_phandle, for_each_online_node, node_end_pfn (358.09).
    - Update conftest.sh function scatterlist for logic reversal in
      304.131/340.96/352.63, support both ways.
  * debian/control: Add Breaks between mismatching upstream versions of
    libcuda1 and nvidia-alternative to prevent partial upgrades. 
  * Upload to wheezy.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 14 Dec 2015 09:53:49 +0100

nvidia-graphics-drivers (304.128-1) wheezy; urgency=medium

  * New upstream legacy 304xx branch release 304.128 (2015-08-31).
    * Fixed CVE-2015-5950: Memory corruption due to an unsanitized pointer.
      (Closes: #800566)
    * Improved compatibility with recent Linux kernels.
  * libgl1-nvidia-glx: Add Provides+Conflicts:
    libgl1-nvidia-glx-${nvidia:Version} to forbid co-installation of
    libgl1-nvidia-legacy-304xx-glx from the same upstream version due to file
    conflicts on versioned files that are not handled via alternatives.
  * conftest.h:
    - Implement new conftest.sh functions file_inode, drm_pci_set_busid
      (340.76).
    - Implement check for linux/log2.h (346.16).
    - Implement check for xen/ioemu.h (346.59).
    - Implement new conftest.sh functions write_cr4, xen_ioemu_inject_msi
      (346.59), list_cut_position (349.12).
    - Implement new conftest.sh functions backing_dev_info (346.82),
      phys_to_dma, dma_ops, get_dma_ops, noncoherent_swiotlb_dma_ops (352.09).
    - Implement new conftest.sh function dma_map_ops (352.30).
    - Reorder conftest.h to match conftest.sh.
    - Implement new conftest.sh function nvidia_grid_build (352.41).
  * bug-script: Synchronize with unstable (340.93-4).
  * Update lintian overrides.
  * Upload to wheezy.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 15 Oct 2015 12:39:53 +0200

nvidia-graphics-drivers (304.125-1) wheezy; urgency=medium

  * New upstream legacy 304xx branch release 304.125 (2014-12-05).
    * Fixes CVE-2014-8298.  (Closes: #772971)
    - Added support for X.Org xserver ABI 19 (xorg-server 1.17).
    - Improved compatibility with recent Linux kernels.
    - Implemented support for disabling indirect GLX context creation using
      the -iglx option available on X.Org server release 1.16 and newer.  Note
      that future X.Org server releases may make the -iglx option the default.
      To re-enable support for indirect GLX on such servers, use the +iglx
      option.
    - Added the "AllowIndirectGLXProtocol" X config option.  This option can
      be used to disallow use of GLX protocol.  See "Appendix B. X Config
      Options" in the README for more details.
  * Refresh patches.
  * Add xorg-video-abi-19, xorg-video-abi-18 as alternative dependencies.
  * conftest.h:
    - Implement new conftest.sh function acpi_op_remove (304.123).
    - Implement new conftest.sh functions kbasename, fatal_signal_pending
      (331.38).
    - Implement new conftest.sh function kuid_t (331.49).
    - Implement new conftest.sh function pm_vt_switch_required (331.67).
    - Implement new conftest.sh function console_lock (331.79).
    - Tighten check for drm/drmP.h.
    - DRM is only supported on Linux >= 3.9.
    - Implement new conftest.sh functions sg_table, sg_alloc_table (340.46).
    - Implement extensions to conftest.sh function vm_operations_struct
      (343.13).
    - Implement check for drm/drm_gem.h (340.58).
    - Implement new conftest.sh functions pci_save_state (340.58), follow_pfn,
      fault_flags, atomic64_type (346.16).
  * Add changelog entries from etch and squeeze updates.
  * Upload to wheezy.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 16 Dec 2014 21:38:22 +0100

nvidia-graphics-drivers (304.123-1) UNRELEASED; urgency=medium

  * New upstream legacy 304xx branch release 304.123 (2014-07-10).
    - Improved compatibility with recent Linux kernels.
    - Fixed a bug that could result in system instability while restoring
      the VGA console.
    - Fixed an interaction problem with xserver 1.15 that occasionally caused
      OpenGL applications to continue rendering when they are minimized or
      unmapped.
    - Updated nvidia-bug-report.sh to search the systemd journal for X
      server logs and messages from the NVIDIA kernel module.
    - Added support for X.org xserver ABI 18 (xorg-server 1.16).
    - Fixed a bug that caused corruption or blank screens on monitors that use
      EDID version 1.3 or older when they are connected via DisplayPort on
      graphics boards that use external DisplayPort encoders, such as the Quadro
      FX 4800.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 28 Sep 2014 20:46:10 +0200

nvidia-graphics-drivers (304.121-1) UNRELEASED; urgency=medium

  * New upstream legacy 304xx branch release 304.121 (2014-03-11).
    - Improved compatibility with recent Linux kernels.
    - Fixed a bug that prevented the NVIDIA implementation of the Xinerama
      extension protocol requests from being used when RandR was enabled.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 22 Apr 2014 02:02:57 +0200

nvidia-graphics-drivers (304.119-1) UNRELEASED; urgency=medium

  * New upstream legacy 304xx branch release 304.119 (2014-01-23).
    - Fixed a crash when using WebGL in Firefox with a Geforce 6 GPU.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 15 Feb 2014 16:49:54 +0100


