=== debian/control ===
--- 
+++ 
@@ -4,10 +4,9 @@
 Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
 Uploaders:
  Russ Allbery <rra@debian.org>,
- Andreas Beckmann <debian@abeckmann.de>,
-DM-Upload-Allowed: yes
-Vcs-Svn: svn://svn.debian.org/svn/pkg-nvidia/packages/nvidia-graphics-drivers/trunk
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-nvidia/packages/nvidia-graphics-drivers/
+ Andreas Beckmann <anbe@debian.org>,
+Vcs-Svn: svn://anonscm.debian.org/pkg-nvidia/packages/nvidia-graphics-drivers/trunk
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-nvidia/packages/nvidia-graphics-drivers/
 Build-Depends:
  debhelper (>= 9),
  bzip2,
@@ -27,6 +26,7 @@
  nvidia-installer-cleanup,
 Depends:
  libgl1-nvidia${nvidia:Legacy}-glx (= ${binary:Version}),
+ libxvmcnvidia1 (= ${binary:Version}),
  xserver-xorg-video-nvidia${nvidia:Legacy} (= ${binary:Version}),
  nvidia-vdpau-driver (= ${binary:Version}),
  nvidia-alternative${nvidia:Legacy} (= ${binary:Version}),
@@ -35,9 +35,9 @@
  nvidia-support,
  ${shlibs:Depends}, ${misc:Depends}
 Recommends:
+ ${nvidia-settings},
  libgl1-nvidia${nvidia:Legacy}-glx-i386 [amd64],
 Suggests:
- nvidia-settings${nvidia:Legacy},
  nvidia-kernel${nvidia:Legacy}-dkms (>= ${nvidia:Version})
  | nvidia-kernel${nvidia:Legacy}-source (>= ${nvidia:Version})
 Provides:
@@ -74,8 +74,8 @@
  nvidia-vdpau-driver (>= ${nvidia:Version}),
  nvidia-kernel${nvidia:Legacy}-dkms (= ${binary:Version})
  | nvidia-kernel-${nvidia:Version}${nvidia:Perfkit},
-Suggests:
- nvidia-settings${nvidia:Legacy},
+ ${nvidia-settings},
+Suggests:
  nvidia-kernel${nvidia:Legacy}-dkms (>= ${nvidia:Version})
  | nvidia-kernel${nvidia:Legacy}-source (>= ${nvidia:Version})
 Provides:
@@ -130,16 +130,19 @@
 Recommends:
  nvidia-kernel${nvidia:Legacy}-dkms (= ${binary:Version})
  | nvidia-kernel-${nvidia:Version}${nvidia:Perfkit},
+ libxvmcnvidia1,
 Suggests:
  nvidia-kernel${nvidia:Legacy}-dkms (>= ${nvidia:Version})
  | nvidia-kernel${nvidia:Legacy}-source (>= ${nvidia:Version})
 Provides:
  libgl1-nvidia${nvidia:Legacy}-glx-i386 [i386],
  libgl1-nvidia-glx-any,
+ libgl1-nvidia-glx-${nvidia:Version},
 Conflicts:
+ libgl1-nvidia-glx-${nvidia:Version},
  libgl1-nvidia${nvidia:Legacy}-dev,
  nvidia-glx${nvidia:Legacy}-dev,
- libgl1-nvidia-glx-ia32 [i386],
+ libgl1-nvidia${nvidia:Legacy}-glx-ia32 [i386],
 Breaks:
  libgl1-nvidia${nvidia:Legacy}-glx-ia32 (<< ${nvidia:Version}) [amd64],
  nvidia-glx (<< 275.09.07-3),
@@ -152,7 +155,7 @@
  libgl1-nvidia-legacy-96xx-glx (<< 96.43.19-2),
  libgl1-nvidia-legacy-173xx-glx (<< 173.14.30-2),
  fglrx-glx (<< 1:11-6-~),
- ia32-libs (<< 20120701) [i386],
+ ia32-libs (<< 1:0) [i386],
  nvidia-settings (<< 304),
  nvidia-settings-legacy-173xx,
 Replaces:
@@ -168,6 +171,27 @@
  or /usr/share/doc/libgl1-nvidia${nvidia:Legacy}-glx/README.txt.gz
  for a complete list of supported GPUs and PCI IDs.
 
+Package: libxvmcnvidia1
+Architecture: i386 amd64
+Multi-Arch: same
+Pre-Depends:
+ nvidia-installer-cleanup,
+ ${misc:Pre-Depends}
+Depends:
+ nvidia-alternative${nvidia:Legacy},
+ libgl1-nvidia${nvidia:Legacy}-glx (= ${binary:Version}),
+ ${shlibs:Depends}, ${misc:Depends}
+Breaks:
+ libgl1-nvidia-glx (<< 304.64-3),
+Replaces:
+ libgl1-nvidia-glx (<< 304.64-3),
+Description: NVIDIA binary XvMC library${nvidia:LegacyDesc}
+ These binary library provides the NVIDIA XvMC implementation which supports
+ GeForce 6 series and GeForce 7 series graphics cards.
+ .
+ See /usr/share/doc/libgl1-nvidia${nvidia:Legacy}-glx/README.txt.gz
+ for instructions how to enable XvMC acceleration.
+
 Package: libgl1-nvidia-glx-ia32
 Section: non-free/oldlibs
 Priority: extra
@@ -176,6 +200,7 @@
  libc6-i386 (>= 2.9-18),
  nvidia-installer-cleanup,
 Depends:
+ libgl1-nvidia-alternatives-ia32,
  ${shlibs:Depends}, ${misc:Depends}
 Recommends:
  libgl1-nvidia${nvidia:Legacy}-glx-i386,
@@ -209,6 +234,7 @@
  libglx-nvidia-alternatives (>= 275.09.07-4),
  ${misc:Depends}
 Breaks:
+ libcuda1 (<< ${nvidia:Version}),
  nvidia-glx${nvidia:Legacy} (<< 275.09.07-2),
  libgl1-nvidia${nvidia:Legacy}-glx (<< 275.09.07-2),
 Description: allows the selection of NVIDIA as GLX provider
@@ -225,7 +251,7 @@
 
 Package: nvidia-kernel-dkms
 Section: non-free/kernel
-Architecture: all
+Architecture: i386 amd64
 Multi-Arch: foreign
 Pre-Depends:
  nvidia-installer-cleanup,
@@ -262,8 +288,7 @@
 
 Package: nvidia-kernel-source
 Section: non-free/kernel
-Architecture: all
-Multi-Arch: foreign
+Architecture: i386 amd64
 Depends:
  debhelper (>= 8),
  make,
@@ -297,6 +322,7 @@
  for a complete list of supported GPUs and PCI IDs.
 
 Package: nvidia-vdpau-driver
+Section: non-free/video
 Architecture: i386 amd64
 Multi-Arch: same
 Pre-Depends:
@@ -343,34 +369,3 @@
  for more information.
  .
  Please see the nvidia-kernel${nvidia:Legacy}-dkms or
- nvidia-kernel${nvidia:Legacy}-source packages
- for building the kernel module required by this package.
- This will provide nvidia-kernel-${nvidia:Version}${nvidia:Perfkit}.
-
-Package: nvidia-vdpau-driver-ia32
-Section: non-free/oldlibs
-Priority: extra
-Architecture: amd64
-Pre-Depends:
- libc6-i386 (>= 2.9-18),
- nvidia-installer-cleanup,
-Depends:
- ${shlibs:Depends}, ${misc:Depends}
-Recommends:
- nvidia-vdpau-driver-i386,
-Conflicts:
- nvidia-libvdpau,
- nvidia-libvdpau1,
- nvidia-libvdpau1-ia32,
- nvidia-libvdpau1-driver-ia32,
-Breaks:
- nvidia-glx (<< 180.51),
-Replaces:
- nvidia-glx (<< 180.51),
- nvidia-libvdpau,
- nvidia-libvdpau1,
- nvidia-libvdpau1-ia32,
- nvidia-libvdpau1-driver-ia32,
-Description: please switch to multiarch nvidia-vdpau-driver:i386
- This is an empty transitional package to aid switching to multiarch.
- .
